Author Topic: Which Ipkg To Use?  (Read 1743 times)

stars

  • Newbie
  • *
  • Posts: 44
    • View Profile
Which Ipkg To Use?
« on: May 11, 2005, 01:17:20 am »
I have the standard ipkg with my Sharp ROM (Watapon) and also install ipkg-new.
Downloaded some IPKs but it just does not seem to work!

Any suggestions?

Thanks!

dreadlocks

  • Jr. Member
  • **
  • Posts: 71
    • View Profile
    • http://zaurus.nayr.net
Which Ipkg To Use?
« Reply #1 on: May 11, 2005, 02:39:58 am »
what ipk's are you having trouble with?
If it does not give me too much trouble I will be happy to repack it and add it to the watapon feed.

-dreadlocks
« Last Edit: May 11, 2005, 02:40:23 am by dreadlocks »
RETIRED - Zaurus SL-5600 (and a dead 5000D)
Wapaton 1.6.1 - Personal Watapon Feed
SMC 2642W & Linksys WCF12, Targus Universal IR Keyboard
Sandisk 512mb SD, Lexar 64mb SD, Sharp Camera
Extreme Limit Metal & Leather Suit

stars

  • Newbie
  • *
  • Posts: 44
    • View Profile
Which Ipkg To Use?
« Reply #2 on: May 11, 2005, 02:59:00 am »
Quote
what ipk's are you having trouble with?
If it does not give me too much trouble I will be happy to repack it and add it to the watapon feed.

-dreadlocks
[div align=\"right\"][{POST_SNAPBACK}][/a][/div]


Hi Dreadlocks,

I have not tested it if it will work (compatibility) with Sharp ROMs. But I found a huge and updated feed from here

[a href=\"http://oz.hentges.net/mirror/oz3.5.3/feed]http://oz.hentges.net/mirror/oz3.5.3/feed[/url]

If it does, let me know how we can work together to repack them and  update your feed (to reduce your load). Thanks for putting the effort!


Hrw

  • Hero Member
  • *****
  • Posts: 1366
    • View Profile
Which Ipkg To Use?
« Reply #3 on: May 11, 2005, 03:04:28 am »
using OZ packages on SharpROM... maybe some of them will work - but only some.. If you really want to have some packages from OpenEmbedded on so old system then consider using OE to build them - it is possible.

OZ use ipkg 0.99.148 - I dont know which version will also read those packages (which == how old)
OpenZaurus 3.5.4x Release Manager
OpenEmbedded, Ångström, Poky developer
My website

Misc embedded hardware.

dreadlocks

  • Jr. Member
  • **
  • Posts: 71
    • View Profile
    • http://zaurus.nayr.net
Which Ipkg To Use?
« Reply #4 on: May 11, 2005, 04:04:03 am »
ya, OZ progs are not nessicarly compatible with watapon, there package format specifically is not compatible.. if that the only problem with the package its trivial to repack it to a sharp compatable ipk (as I have already done with many packages in my feed)

I am willing to work on packages people NEED and add them to my feed, if you have any specific needs for software from the OZ feed I will try to repack it.. if a repack dosent work then it will need to be recompiled specifically for watapon, which I am currently not taking requests for as that queue is already full..

it would be trivial for me to create a script to repack the entire OZ feed into sharp compatable IPK's but this would take up too much space/bandwidth and be chock full of broken software.. Im not porting the entire OZ feed, that would be too much to maintain..
RETIRED - Zaurus SL-5600 (and a dead 5000D)
Wapaton 1.6.1 - Personal Watapon Feed
SMC 2642W & Linksys WCF12, Targus Universal IR Keyboard
Sandisk 512mb SD, Lexar 64mb SD, Sharp Camera
Extreme Limit Metal & Leather Suit

stars

  • Newbie
  • *
  • Posts: 44
    • View Profile
Which Ipkg To Use?
« Reply #5 on: May 11, 2005, 04:38:02 am »
Quote
ya, OZ progs are not nessicarly compatible with watapon, there package format specifically is not compatible.. if that the only problem with the package its trivial to repack it to a sharp compatable ipk (as I have already done with many packages in my feed)

I am willing to work on packages people NEED and add them to my feed, if you have any specific needs for software from the OZ feed I will try to repack it.. if a repack dosent work then it will need to be recompiled specifically for watapon, which I am currently not taking requests for as that queue is already full..

it would be trivial for me to create a script to repack the entire OZ feed into sharp compatable IPK's but this would take up too much space/bandwidth and be chock full of broken software.. Im not porting the entire OZ feed, that would be too much to maintain..
[div align=\"right\"][a href=\"index.php?act=findpost&pid=79215\"][{POST_SNAPBACK}][/a][/div]


Ok ... could you tell me how to repack them .. so I can do it for my own use    

Cross-compiling is difficult!  I hope apps like stunnel 4.x works!  

Thanks!

Mickeyl

  • Hero Member
  • *****
  • Posts: 1495
    • View Profile
    • http://www.Vanille.de
Which Ipkg To Use?
« Reply #6 on: May 11, 2005, 04:45:06 am »
Cross compiling isn't difficult, when you use OpenEmbedded - this is exactly what we did it for. Please don't just repack - this may be an easy solution, but it's not very clever and hardly any packages will work that way. Better join the OpenEmbedded team and improve package compatibility.

Besides, I already added a SharpROM compat mode for OE. Guess how I am building my SharpROM compatible Python for Arm Linux distribution?
Cheers,

Michael 'Mickey' Lauer | Embedded Linux Freelancer | www.Vanille-Media.de
Consider donating, if you like the software I contribute to.

stars

  • Newbie
  • *
  • Posts: 44
    • View Profile
Which Ipkg To Use?
« Reply #7 on: May 11, 2005, 04:54:04 am »
Quote
Cross compiling isn't difficult, when you use OpenEmbedded - this is exactly what we did it for. Please don't just repack - this may be an easy solution, but it's not very clever and hardly any packages will work that way. Better join the OpenEmbedded team and improve package compatibility.

Besides, I already added a SharpROM compat mode for OE. Guess how I am building my SharpROM compatible Python for Arm Linux distribution?
[div align=\"right\"][a href=\"index.php?act=findpost&pid=79219\"][{POST_SNAPBACK}][/a][/div]

Consider me a newbie  
Its just that I now have some time off my work ... hee hee
Is OpenEmbedded a compiling tool or a platform of some sort?

Is there some material that I can get started on ...  cos I have no idea abt wat it means abt the "SharpROM compat mode for OE"   ... pardon me!
I tried GPE 3.5.2 .. like it ... but its way too buggy for me.

I am currently taking the easyway out. Using zDemoLinux!

I dont mind learning if its not too difficult ... as I want to compile some of the security apps to play with

Mickey ... Thanks!

lardman

  • Hero Member
  • *****
  • Posts: 4512
    • View Profile
    • http://people.bath.ac.uk/enpsgp/Zaurus/
Which Ipkg To Use?
« Reply #8 on: May 11, 2005, 05:28:11 am »
Quote
Is OpenEmbedded a compiling tool or a platform of some sort?

A compiling tool:

http://openembedded.org/ read the GettingStarted page to get you started.

Quote
I tried GPE 3.5.2 .. like it ... but its way too buggy for me.

Try the 3.5.3 releases, there have been updates.


Si
C750 OZ3.5.4 (GPE, 2.6.x kernel)
SL5500 OZ3.5.4 (Opie)
Nokia 770
Serial GPS, WCF-12, Socket Ethernet & BT, Ratoc USB
WinXP, Mandriva